/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.taxiservicios.model.view.dashboard;

import com.arrebol.taxiservicios.model.enums.PlatformType;
import java.io.Serializable;
import java.util.Objects;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
public class DashboardToCollectView implements Serializable {

    private static final long serialVersionUID = -5940351507347221907L;

    private String idTaxi;
    private String economicNumber;
    private String modelVehicle;
    private String idDriver;
    private String driverName;
    private PlatformType platform;
    private Double payDay;
    private Double paySaving;
    private Double payAccident;
    private Double totalToPay;
    private Double amountPaid;
    private float totalAdeudo;
    private String styleClass;
    private String idLocation;

    public DashboardToCollectView() {
    }

    /**
     * Complete constructor.
     *
     * @param idTaxi
     * @param economicNumber
     * @param modelVehicle
     * @param idDriver
     * @param driverName
     * @param platform
     * @param payDay
     * @param paySaving
     * @param payAccident
     * @param totalToPay
     * @param amountPaid
     */
    public DashboardToCollectView(String idTaxi, String economicNumber, String modelVehicle, String idDriver, String driverName, PlatformType platform, Double payDay, Double paySaving, Double payAccident, Double totalToPay, Double amountPaid, float totalAdeudo) {
        this.idTaxi = idTaxi;
        this.economicNumber = economicNumber;
        this.modelVehicle = modelVehicle;
        this.idDriver = idDriver;
        this.driverName = driverName;
        this.platform = platform;
        this.payDay = payDay;
        this.paySaving = paySaving;
        this.payAccident = payAccident;
        this.totalToPay = totalToPay;
        this.amountPaid = amountPaid;
        this.totalAdeudo = totalAdeudo;
    }

    public float getTotalAdeudo() {
        return totalAdeudo;
    }

    public void setTotalAdeudo(float totalAdeudo) {
        this.totalAdeudo = totalAdeudo;
    }

    public String getIdTaxi() {
        return idTaxi;
    }

    public void setIdTaxi(String idTaxi) {
        this.idTaxi = idTaxi;
    }

    public String getEconomicNumber() {
        return economicNumber;
    }

    public void setEconomicNumber(String economicNumber) {
        this.economicNumber = economicNumber;
    }

    public String getModelVehicle() {
        return modelVehicle;
    }

    public void setModelVehicle(String modelVehicle) {
        this.modelVehicle = modelVehicle;
    }

    public String getIdDriver() {
        return idDriver;
    }

    public void setIdDriver(String idDriver) {
        this.idDriver = idDriver;
    }

    public String getDriverName() {
        return driverName;
    }

    public void setDriverName(String driverName) {
        this.driverName = driverName;
    }

    public PlatformType getPlatform() {
        return platform;
    }

    public void setPlatform(PlatformType platform) {
        this.platform = platform;
    }

    public Double getPayDay() {
        return payDay;
    }

    public void setPayDay(Double payDay) {
        this.payDay = payDay;
    }

    public Double getPaySaving() {
        return paySaving;
    }

    public void setPaySaving(Double paySaving) {
        this.paySaving = paySaving;
    }

    public Double getPayAccident() {
        return payAccident;
    }

    public void setPayAccident(Double payAccident) {
        this.payAccident = payAccident;
    }

    public Double getTotalToPay() {
        return totalToPay;
    }

    public void setTotalToPay(Double totalToPay) {
        this.totalToPay = totalToPay;
    }

    public Double getAmountPaid() {
        return amountPaid;
    }

    public void setAmountPaid(Double amountPaid) {
        this.amountPaid = amountPaid;
    }

    public String getStyleClass() {
        return styleClass;
    }

    public void setStyleClass(String styleClass) {
        this.styleClass = styleClass;
    }

    public String getIdLocation() {
        return idLocation;
    }

    public void setIdLocation(String idLocation) {
        this.idLocation = idLocation;
    }

    @Override
    public String toString() {
        return "DashboardToCollectView{" + "modelVehicle=" + modelVehicle + ", platform=" + platform + '}';
    }

    @Override
    public int hashCode() {
        int hash = 3;
        hash = 37 * hash + Objects.hashCode(this.idTaxi);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final DashboardToCollectView other = (DashboardToCollectView) obj;
        if (!Objects.equals(this.idTaxi, other.idTaxi)) {
            return false;
        }
        return true;
    }

}
